# boost::numeric::ublas::matrix_indirect< M, IA >::const_iterator2 Class Reference

List of all members.

## Public Types

typedef M::const_iterator2::value_type | value_type
typedef M::const_iterator2::difference_type | difference_type
typedef M::const_reference | reference
typedef M::const_iterator2::pointer | pointer
typedef const_iterator1 | dual_iterator_type
typedef const_reverse_iterator1 | dual_reverse_iterator_type

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator2 (const self_type &mi, const const_subiterator1_type &it1, const const_subiterator2_type &it2)
BOOST_UBLAS_INLINE | const_iterator2 (const iterator2 &it)
BOOST_UBLAS_INLINE const_iterator2 & | operator++ ()
BOOST_UBLAS_INLINE const_iterator2 & | operator-- ()
BOOST_UBLAS_INLINE const_iterator2 & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator2 & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator2 &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE const_iterator1 | begin () const
BOOST_UBLAS_INLINE const_iterator1 | end () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE const_iterator2 & | operator= (const const_iterator2 &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator2 &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator2 &it) const

### template<class M, class IA>
class boost::numeric::ublas::matrix_indirect< M, IA >::const_iterator2